'From VisualWorks(TM), Release 1.0 of 8 October 1992 on 15 May 1994 at 4:24:35 pm'!



!Behavior methodsFor: 'testing class hierarchy'!

sub: aClass ifUnrelated: anExceptionBlock
	"Answer the subclass, that is the most specialized of both classes
	in case they belong to the same same hierarchy.
	Otherwise (if they cannot be related), evaluate and return the exception block."

	self = aClass
		ifTrue: [^self].
	(self inheritsFrom: aClass)
		ifTrue: [^self].
	(aClass inheritsFrom: self)
		ifTrue: [^aClass].
	^anExceptionBlock value! !